Returns all active (non-deleted) device registrations for the authenticated user in the given environment.
curl --request GET \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/deviceRegistrations \
--header 'Authorization: Bearer <token>'{
"count": 123,
"deviceRegistrations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isCurrentDevice": true,
"createdAt": "2023-11-07T05:31:56Z",
"userAgent": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Was this page helpful?
curl --request GET \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/deviceRegistrations \
--header 'Authorization: Bearer <token>'{
"count": 123,
"deviceRegistrations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isCurrentDevice": true,
"createdAt": "2023-11-07T05:31:56Z",
"userAgent": "<string>"
}
]
}